﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class SelectedIndexChangedTest : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadComboBox1.DataSource = CreateTestTable();
            RadComboBox1.DataTextField = "Text";
            RadComboBox1.DataValueField = "Value";
            RadComboBox1.DataBind();

            RadComboBox2.DataSource = CreateTestTable2();
            RadComboBox2.DataTextField = "Text";
            RadComboBox2.DataValueField = "Value";
            RadComboBox2.DataBind();
        }

    }

    private DataTable CreateTestTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("Text");
        table.Columns.Add("Value");
        table.Rows.Add(new string[] { "Item1", "1" });
        table.Rows.Add(new string[] { "Item2", "2" });
        table.Rows.Add(new string[] { "Item3", "3" });
        table.Rows.Add(new string[] { "Item4", "4" });
        table.Rows.Add(new string[] { "Item5", "5" });
        table.Rows.Add(new string[] { "Item6", "6" });

        return table;
    }

    private DataTable CreateTestTable2()
    {
        DataTable table = new DataTable();
        table.Columns.Add("Text");
        table.Columns.Add("Value");
        table.Rows.Add(new string[] { "First", "a" });
        table.Rows.Add(new string[] { "Second", "b" });
        table.Rows.Add(new string[] { "Third", "c" });
        table.Rows.Add(new string[] { "Fourth", "d" });
        table.Rows.Add(new string[] { "Fifth", "e" });
        table.Rows.Add(new string[] { "Sixth", "f" });

        return table;
    }


    protected void RadComboBox1_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {

    }

    protected void RadComboBox2_SelectedIndexChanged(object sender, RadComboBoxSelectedIndexChangedEventArgs e)
    {

    }
}